{: test a compilation error occurs for a get on buffer var }

{$d+}
program e032( output );

var
   i : integer;
   f : file of char;
begin {e032}

   rewrite(f);
   get(f^);  {!!! should be get(f) }
   writeln( 'fails: get type error not detected' );

end. {e032}

